Get membership member
curl --request GET \
--url https://api.passform.io/v1/memberships/members/{memberId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passform.io/v1/memberships/members/{memberId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passform.io/v1/memberships/members/{memberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 2,
"accountId": "<string>",
"templateId": "<string>",
"passId": "<string>",
"email": "<string>",
"name": "<string>",
"status": "pending",
"data": {},
"expiry": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"remindersSent": {}
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}memberships
Get membership member
Get a single membership member by its unique member ID. Requires an API key.
GET
/
v1
/
memberships
/
members
/
{memberId}
Get membership member
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x >= 1Query Parameters
Response
Default Response
Incremental member ID per account (1, 2, 3...)
Required range:
x >= 1The memberships account this member belongs to
The template ID used for generating this member's pass
The ID of the auto-generated pass for this member
The email of the member
The name of the member
The status of the membership
Available options:
pending Unstructured data for this member
Show child attributes
Show child attributes
Optional expiry date for the membership (ISO 8601)
Tracks which reminder periods have been sent and when (server-managed)
Show child attributes
Show child attributes

